/* Set up ALSA configuration
 * Martin Stransky <stransky@redhat.com>
 *
 * Copyright (C) 2003,2005 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* SHM functions
*/

#ifndef __SHM_H__
#define __SHM_H__

#ifndef TRUE
#define TRUE                (1==1)
#endif

#ifndef FALSE
#define FALSE               (1!=1)
#endif

#define KEY_MIN  2000
#define KEY_MAX (INT_MAX)

key_t generate_key(int (*p_func) (key_t key));

key_t alloc_ipc_key(void);
void  free_ipc_key(key_t key);

key_t alloc_ipc_semaphore(void);
void  free_ipc_semaphore(key_t key);

int   check_ipc_key(key_t key);
int   check_ipc_semaphore(key_t key);

#endif // __SHM_H__
